FTBFS against glibc >= 2.34

Bug #1981474 reported by Nick Rosbrook
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gtk-gnutella (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Build log here: https://launchpadlibrarian.net/609390814/buildlog_ubuntu-kinetic-amd64.gtk-gnutella_1.1.15-1build1_BUILDING.txt.gz

Since glib 2.34, PTHREAD_STACK_MIN may be defined dynamically. Currently, gtk-gnutella checks the value of PTHREAD_STACK_MIN with preprocessor directives, which causes a compilation error with the dynamic definition of PTHREAD_STACK_MIN.

Upstream already has a commit to fix the issue: https://github.com/gtk-gnutella/gtk-gnutella/commit/31d06cecac572852c6e5e8d85cea641883cbe4c6

Nick Rosbrook (enr0n)
tags: added: update-excuse
Revision history for this message
Nick Rosbrook (enr0n) wrote :
Changed in gtk-gnutella (Ubuntu):
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk-gnutella - 1.1.15-1ubuntu1

---------------
gtk-gnutella (1.1.15-1ubuntu1) kinetic; urgency=medium

  * debian/patches/0001-Fix-compilation-with-newest-glibc.patch: Fix FTBFS
    against glibc >= 2.34 by checking dynamically-defined PTHREAD_STACK_MIN
    at run time instead of compile time (LP: #1981474).

 -- Nick Rosbrook <email address hidden> Tue, 12 Jul 2022 14:22:52 -0400

Changed in gtk-gnutella (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers